#!/bin/bash
#
# $Id: create-project.sh,v 1.3 2003/05/26 07:59:40 disoft Exp $
#
# Copyright (C) 2003 ETC s.r.o.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# Written by Daniel Samek <dano@etc.sk.sk>, 2003.
#

source .config

echo Configuration generator

echo $CONFIG_WINCE_ROOT

if [ ! -z $CONFIG_WINCE_410 ] ; then
	WINCE_VERSION=410
elif [ ! -z $CONFIG_WINCE_420 ] ; then
	WINCE_VERSION=420
fi

if [ ! -d $CONFIG_WINCE_ROOT ] ; then
	echo \'$WINCE_ROOT\' directory not exist
	exit 1
fi

SOURCE_DIR=$CONFIG_WINCE_ROOT/PUBLIC/IABASE

if [ ! -d $SOURCE_DIR ] ; then
	echo \'SOURCE_DIR\' source directory not exist
	exit 1
fi

TARGET_DIR=$CONFIG_WINCE_ROOT/PUBLIC/$CONFIG_CONF_NAME

echo Your project directory is: \'$TARGET_DIR\'

if [ -d $TARGET_DIR ] ; then
	echo \'$TARGET_DIR\' already exist
	exit 1
fi

mkdir $TARGET_DIR
cp -r $SOURCE_DIR/OAK $TARGET_DIR
cp $SOURCE_DIR/clearsysgenvars.bat $TARGET_DIR
cp max$WINCE_VERSION.bat $TARGET_DIR/$CONFIG_CONF_NAME.bat

patch $TARGET_DIR/OAK/MISC/cesysgen.bat cesysgen$WINCE_VERSION.bat.patch
